<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_emails.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit ordered mails e.g. redirecting the URL      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbebuchungen aendern (z.B. umleiten der URL)   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if ((isFormSent()) && (!isPostRequestParameterSet('id'))) {
	unsetPostRequestParameter('ok');
} // END - if

// Form sent or anything else? ;-)
if ((isFormSent()) && (postRequestParameterSet('mid'))) {
	// Make mail editable...
	$result = SQL_QUERY_ESC("SELECT
	`id`, `sender` AS `userid`, `subject`, `text`, `url`
FROM
	`{?_MYSQL_PREFIX?}_pool`
WHERE
	`id`=%s
LIMIT 1",
		array(bigintval(postRequestParameter('mid'))), __FILE__, __LINE__);

	// Fetch row
	$content = SQL_FETCHARRAY($result);

	// Free result
	SQL_FREERESULT($result);

	// Load template
	loadTemplate('admin_edit_email', false, $content);
} elseif (isGetRequestParameterSet('mid')) {
	// Make also this email editable
	$result = SQL_QUERY_ESC("SELECT
	`id`, `sender` AS `userid`, `subject`, `text`, `url`
FROM
	`{?_MYSQL_PREFIX?}_pool`
WHERE
	`id`=%s
LIMIT 1",
		array(bigintval(getRequestParameter('mid'))), __FILE__, __LINE__);

	// Fetch row
	$content = SQL_FETCHARRAY($result);

	// Free result
	SQL_FREERESULT($result);

	// Load template
	loadTemplate('admin_edit_email', false, $content);
} elseif (isGetRequestParameterSet('bid')) {
		// Make also this email editable
		$result = SQL_QUERY_ESC("SELECT
	`id`, `subject`, `text`, `url`
FROM
	`{?_MYSQL_PREFIX?}_bonus`
WHERE
	`id`=%s
LIMIT 1",
		array(bigintval(getRequestParameter('bid'))), __FILE__, __LINE__);

	// Fetch row
	$content = SQL_FETCHARRAY($result);

	// Free result
	SQL_FREERESULT($result);

	// Load template
	loadTemplate('admin_edit_bonus_email', false, $content);
} elseif (isFormSent('save')) {
	// Save changes
	if (isPostRequestParameterSet('mid')) {
		// Update pool
		SQL_QUERY_ESC("UPDATE
	`{?_MYSQL_PREFIX?}_pool`
SET
	`subject`='%s',
	`text`='%s',
	`url`='%s'
WHERE
	`id`=%s
LIMIT 1",
			array(
				postRequestParameter('subject'),
				postRequestParameter('text'),
				postRequestParameter('url'),
				bigintval(postRequestParameter('mid')),
			), __FILE__, __LINE__);

		if (!SQL_HASZEROAFFECTED()) {
			$content = '{--ADMIN_EMAIL_CHANGES_SAVED--}';
		} else {
			$content = '<span class="notice">{--ADMIN_EMAIL_CHANGES_NOT_SAVED--}</span>';
		}
	} elseif (isPostRequestParameterSet('bid')) {
		// Update pool
		SQL_QUERY_ESC("UPDATE
	`{?_MYSQL_PREFIX?}_bonus`
SET
	`subject`='%s',
	`text`='%s',
	`url`='%s'
WHERE
	`id`=%s
LIMIT 1",
			array(
				postRequestParameter('subject'),
				postRequestParameter('text'),
				postRequestParameter('url'),
				bigintval(postRequestParameter('bid')),
			), __FILE__, __LINE__);

		if (!SQL_HASZEROAFFECTED()) {
			$content = '{--ADMIN_EMAIL_CHANGES_SAVED--}';
		} else {
			$content = '<span class="notice">{--ADMIN_EMAIL_CHANGES_NOT_SAVED--}</span>';
		}
	} else {
		// No valid action
		$content = '<span class="notice">{--ADMIN_EDIT_EMAIL_FAILED--}</span>';
	}

	// Display message
	displayMessage($content);
} else {
	// Query the pool
	$result = SQL_QUERY('SELECT
	`id`, `sender` AS `userid`, `subject`, `payment_id`, `cat_id`
FROM
	`{?_MYSQL_PREFIX?}_pool`
ORDER BY
	`timestamp` ASC', __FILE__, __LINE__);

	// Entries found?
	if (!SQL_HASZERONUMS($result)) {
		// There are mail orders available
		$OUT = '';
		while ($content = SQL_FETCHARRAY($result)) {
			// Load row template and switch colors
			$OUT .= loadTemplate('admin_edit_email_row', true, $content);
		} // END - while

		// Free memory
		SQL_FREERESULT($result);

		// Load email template
		loadTemplate('admin_edit_email_select', false, $OUT);
	} else {
		// No mail orders left in pool
		displayMessage('{--ADMIN_NO_MAILS_IN_POOL--}');
	}
}

// [EOF]
?>
